Last Comment Bug 740148 - [10.7] Allow hiding toolbars for presentations
: [10.7] Allow hiding toolbars for presentations
Status: NEW
: regression
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: unspecified
: All Mac OS X
: -- normal with 61 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 774677 1009618 1079988 (view as bug list)
Depends on: 1016361 1066282
Blocks: lion-compatibility 639705
  Show dependency treegraph
 
Reported: 2012-03-28 14:15 PDT by Anthony Ricaud (:rik)
Modified: 2015-11-01 04:58 PST (History)
59 users (show)
mmucci: firefox‑backlog+
mmucci: qe‑verify?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: 3
Has Regression Range: ---
Has STR: ---


Attachments
Obey browser.fullscreen.autohide in Lion fullscreen mode (for testing, not a fix) (3.90 KB, patch)
2012-07-19 08:34 PDT, Steven Michaud [:smichaud] (Retired)
no flags Details | Diff | Review

Description Anthony Ricaud (:rik) 2012-03-28 14:15:55 PDT
With the new fullscreen behaviour, it is not possible to hide the tab bar. This was very useful for presentations.

(Or maybe it is possible but I don't know how)

I can hide most of the toolbars from the view menu (but that's a bit annoying cause you need to reset everything when leaving fullscreen). I suggest adding a menu item while in full mode to allow top toolbars to hide and only show when you hover the top of the browser.
Comment 1 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2012-03-28 14:34:21 PDT
We're ignoring the browser.fullscreen.autohide preference on 10.7 now, which is what controlled the previous behavior. We can't reasonably overload that preference for Lion, so maybe we should have a new preference for Lion only? It would default to false but could be enabled through about:config. I'll give it a go.

I know Chrome has a separate "Presentation Mode" which hides the toolbar. If I had to guess though, they're doing that at the Cocoa layer (I think there's an option for that) though I could be wrong.
Comment 2 José Jeria 2012-07-18 11:04:49 PDT
*** Bug 774677 has been marked as a duplicate of this bug. ***
Comment 3 Francois Guerraz 2012-07-18 11:57:13 PDT
My questions are mostly curiosity, I'm not implying you're wrong:

(In reply to Paul O'Shannessy [:zpao] (no longer moco, slower to respond) from comment #1)
> We're ignoring the browser.fullscreen.autohide preference on 10.7 now, which
> is what controlled the previous behavior. 
Why ignoring the preference ? Couldn't have it been possible to set this preference key to "false" at update time on Lion?

> We can't reasonably overload that preference for Lion, 
I don't really understand the concept of "overloading a preference", can you be more explicit.

> so maybe we should have a new preference for Lion only?
> It would default to false but could be enabled through about:config. I'll
> give it a go.
That would be awesome!

François.
Comment 4 Steven Michaud [:smichaud] (Retired) 2012-07-18 13:46:43 PDT
There are two ways to fix this bug quickly:

1) Provide a non-default option to use the "old" (non-Lion) fullscreen mode on
   OS X Lion and above.

2) Provide a non-default option to obey the browser.fullscreen.autohide setting
   even on OS X Lion and above.

I currently prefer #1, because I'm afraid #2 is a Frankenstein's monster (that it mixes UI elements that don't really belong together).  But it's hard to choose unless you have some kind of testcase to play with.  So I've created a patch that just stops our Lion fullscreen mode from ignoring browser.fullscreen.autohide.  I'll start a tryserver build, which should be available by tomorrow morning.

This is *not* a finished work.  At the very least we'll need to add another setting that governs this behavior.  But I hope it will give people who think they prefer choice #2 above a better idea of whether or not this is what they really want.

(I'll post the patch when I post the tryserver build.)
Comment 5 Steven Michaud [:smichaud] (Retired) 2012-07-18 13:49:13 PDT
(Following up comment #4)

Anything besides (or between) these two choices will be more work (perhaps a *lot* more work).  Which means that it (probably) won't be finished anytime soon.
Comment 6 Francois Guerraz 2012-07-18 14:19:14 PDT
Hi,

Thanks for you work, I'll give it a try when it's ready.

I suppose that 774685 may be a blocker if we want it to work correctly "Lion style". What would be nice (if not too Frankenstein-ish) would be to have the same kind of behaviour as in Apple Preview : both the application menu and the toolbars drop down at the same time.

Cheers.
Comment 7 Steven Michaud [:smichaud] (Retired) 2012-07-19 08:34:54 PDT
Created attachment 643861 [details] [diff] [review]
Obey browser.fullscreen.autohide in Lion fullscreen mode (for testing, not a fix)

Here's the patch I promised in comment #4.  As I said there it's not finished -- it's just for people to test option #2 from comment #4.

I already know it's not ideal -- so you needn't bother telling us that it isn't.  The questions that need answering for both options from comment #4 are:

1) Is it better than what we have now?

2) Is it worth landing now as an interim patch?
Comment 8 Steven Michaud [:smichaud] (Retired) 2012-07-19 08:36:40 PDT
Oops, forgot the tryserver build for my patch from comment #7:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/smichaud@pobox.com-c981237a2ef1/try-macosx64/firefox-17.0a1.en-US.mac.dmg
Comment 9 Francois Guerraz 2012-07-19 10:43:28 PDT
I tried your build in comment #8.

From a user point of view, and apart from bug #738335 getting in the way a little bit, it's perfect and I don't see what's wrong with that.
Again, still from my user point of view, I think it's better than what we have now (to answer your question in comment #7), and I really don't see what is so evil about it (comment #4).

Thanks.
Comment 10 Richard A Milewski[:richard] 2012-07-19 16:40:45 PDT
An additional benefit of a "presentation mode" would be to defeat the current Lion behavior of blanking (with the linen pattern) displays on the second monitor when in full screen mode.

This breaks the current set-up on Air Mozilla where we used Firefox in full screen mode on a mini in the rack to display slides, and used the second monitor display to drive the background of the Extron MGP windower that does compositing of video feed.
Comment 11 Richard A Milewski[:richard] 2012-07-19 16:53:51 PDT
The tryserver build in comment 8 only solves half the Air Mozilla problem described in comment 10.
Comment 12 Steven Michaud [:smichaud] (Retired) 2012-07-20 07:45:23 PDT
(In reply to comment #10 and comment #11)

Sounds like what you mean by "presentation mode" is choice #1 from comment #4 (the "old", non-Lion-specific fullscreen mode).

My tryserver build (partially) implements choice #2.
Comment 13 Anthony Ricaud (:rik) 2012-07-20 07:55:57 PDT
(In reply to Richard A Milewski[:richard] from comment #10)
> An additional benefit of a "presentation mode" would be to defeat the
> current Lion behavior of blanking (with the linen pattern) displays on the
> second monitor when in full screen mode.
> 
> This breaks the current set-up on Air Mozilla where we used Firefox in full
> screen mode on a mini in the rack to display slides, and used the second
> monitor display to drive the background of the Extron MGP windower that does
> compositing of video feed.
Mountain Lion will solve this by allowing one fullscreen apps per screen.
Comment 14 Steven Michaud [:smichaud] (Retired) 2012-07-20 08:03:50 PDT
> An additional benefit of a "presentation mode" would be to defeat
> the current Lion behavior of blanking (with the linen pattern)
> displays on the second monitor when in full screen mode.

Anthony and Richard:

I don't think we have a bug on this yet.  Please open one. 

In it please address the issue on both Lion and Mountain Lion.

I'm on vacation next week.  But I should have a chance to look at it
when I get back.
Comment 15 José Jeria 2012-07-20 09:03:28 PDT
(In reply to Steven Michaud from comment #14)
> > An additional benefit of a "presentation mode" would be to defeat
> > the current Lion behavior of blanking (with the linen pattern)
> > displays on the second monitor when in full screen mode.
> 
> Anthony and Richard:
> 
> I don't think we have a bug on this yet.  Please open one. 

Please note that all applications in fullscreen will behave like this. It is Lion specific behavior.
Comment 16 Richard A Milewski[:richard] 2012-07-20 09:52:48 PDT
Keynote seems to be able to manage something that at least looks like full-screen dual-display behavior on Lion.
Comment 17 Steven Michaud [:smichaud] (Retired) 2012-07-20 12:25:53 PDT
What's possible in the near future is described in comment #4.

Anything more should be the subject of other bugs (like bug 738335).
Comment 18 tom.etheridge 2012-07-20 13:22:50 PDT
I am very anxious to restore the true full screen functionality in Lion 10.7.4 lost with today's upgrade to Firefox 14.0.1. 

I have wasted this whole day trying to find a way to do this until I came across this bug thread. As a user, how can I download and install the patch (temporary fix or not) in Comment #7? 

Alternately, how can I get rid of today's upgrade and download the previous version of Firefox? My Mac worked exactly the way I wanted it to yesterday, but since this morning it no longer does.
Comment 19 Richard A Milewski[:richard] 2012-07-20 13:47:51 PDT
Tom,

The link in comment #8 is the version with the temporary fix.   You can find older versions of firefox at: http://support.mozilla.org/en-US/kb/install-older-version-of-firefox  (Along with information on why using them might be a really bad idea).
Comment 20 Steven Michaud [:smichaud] (Retired) 2012-07-20 13:56:57 PDT
Tom, also note that I've been asking people to make a choice between the two options listed in comment #4.

I assume you'd choose option #1 (provide a non-default option to use the "old" (non-Lion) fullscreen mode on OS X Lion and above).

It's always a good idea to read the whole bug before commenting :-)
Comment 21 Steven Michaud [:smichaud] (Retired) 2012-07-20 13:59:10 PDT
I'm going to be on vacation (and mostly away from the internet) all of next week.
Comment 22 tom.etheridge 2012-07-20 14:10:17 PDT
Steven,

I've spent over two hours reading the bug, and you're right, option #1 is the one I would choose.

I downloaded and installed the patch in Comment #8, but I can't find the triggering option, so it has no effect. Help please?

Tom
Comment 23 Steven Michaud [:smichaud] (Retired) 2012-07-20 14:29:57 PDT
> I can't find the triggering option

I don't understand.

With the tryserver build from comment #8 (which *partially* implements option #2 from comment #4), the only "trigger" you need (once you're in fullscreen mode) is to mouse up to the top of the page.  That should make Firefox's toolbars and menus appear, both at the same time.  (Though the menus do overlap the tab bar, which is the uppermost toolbar -- that's bug 738335.)

Note that this build is for testing, not for everyday use.  For example it doesn't give you the option to go back to the previous Lion-style fullscreen mode (which didn't hide any of FF's toolbars).

(I assume you haven't used about:config to change browser.fullscreen.autohide to "false" from its default setting of "true".)
Comment 24 tom.etheridge 2012-07-20 14:51:20 PDT
You're right, I didn't use about:config to change browser.fullscreen.autohide to "false" from its default setting of "true" because I can't find it. About Firefox in my Firefox menu is apparently the wrong place to look. Remember, I am just a user.

My objective is to restore the Lion full screen display to a pure image almost identical to the screen saver image.
Comment 25 Steven Michaud [:smichaud] (Retired) 2012-07-20 15:00:31 PDT
> My objective is to restore the Lion full screen display to a pure
> image almost identical to the screen saver image.

I don't understand this, either.

This bug is a real bug, but we can't fix it instantly.

For now your only options (if you're running on OS X 10.7 or above)
are to a) go back to FF 13.0.1 (not recommended because FF 14.0.1
contains security fixes) or b) use my tryserver build from comment #8.

The tryserver build from comment #8 should "just work".  If it
doesn't, we're probably not going to be able to figure out why.
Comment 26 tom.etheridge 2012-07-20 15:33:28 PDT
Sorry, I didn't understand either. I thought the FirefoxNightly download was a patch or upgrade to Firefox, which was installed when I dragged the icon into the Applications folder as with other upgrades. Therefore, I expected Firefox to "just work" as you say after restarting it. After I finally figured out that FirefoxNightly is a stand alone application, I found that it works exactly as I expected it to.

Thank you! 

But I would suggest that you consider adding some minimal instructions to future "non-standard" Mac downloads.
Comment 27 Richard A Milewski[:richard] 2012-07-21 11:40:29 PDT
Tom,

The other thing I think you missed is how to use about:config.  Type that into the address bar.   CAUTION: It's generally safer to look but not touch.
Comment 28 tom.etheridge 2012-07-21 11:54:35 PDT
Richard,

Thanks, I'll tuck that away for future reference. I have my Mac working the way I want it to now, so I think I'll just leave well enough alone for the time being.

Tom
Comment 29 Andre Bach 2012-07-27 09:37:47 PDT
Upgrading to OS X 10.8 Mountain Lion makes Firefox 14.0.1 revert to the (good & desired) behavior of Firefox 13. Not sure why that makes any sense, but I'm happy. However, comment 135 of bug 639705 seems to imply that this is unintended, which is too bad.
Comment 30 Steven Michaud [:smichaud] (Retired) 2012-08-13 13:09:03 PDT
Here's another tryserver build made from my (testing) patch from comment #7:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/smichaud@pobox.com-654205971c99/try-macosx64/firefox-17.0a1.en-US.mac.dmg

Someone asked for it.

Note that tryserver builds are only available for a week or two.
Comment 31 Anthony Ricaud (:rik) 2012-08-27 02:43:36 PDT
Thanks for reposting a build.

So when trying this, I feel like it's not something you'd like on a setting. People using their browser fullscreen want toolbars to always be visible. But sometimes you need a presentation mode. It just depends on the context. So I think two entries in the View menu is the best option.
Comment 32 tom.etheridge 2012-08-27 05:08:21 PDT
I disagree with Anthony Ricaud. When I use my browser in fullscreen I do not want any toolbars to be visible. I consider fullscreen and presentation mode to be the same thing.

I am still using the Nightly build with the original (testing) patch from comment #7, and will continue to do so until Firefox is upgraded with the identical behavior. If some users want a partial fullscreen with toolbars (name it what you like), I agree it should be a separate option. I suspect that such an arrangement would be difficult to implement.
Comment 33 Dão Gottwald [:dao] 2012-08-27 05:25:39 PDT
Obeying browser.fullscreen.autohide and showing the a context menu for toggling it should be flexible enough for those who want to permanently hide toolbars and those who want it temporarily.
Comment 34 Francois Guerraz 2012-08-27 05:29:26 PDT
(In reply to tom.etheridge from comment #32)
> I disagree with Anthony Ricaud. When I use my browser in fullscreen I do not
> want any toolbars to be visible. I consider fullscreen and presentation mode
> to be the same thing.

Yeah, I really would like to know where this assertion of "People using their browser fullscreen want toolbars to always be visible" comes from. Especially since with the toolbars visible, one is almost not gaining any space on the screen, which is the point of running full screen!
Especially, I don't understand the point of disabling the functionality allowing to hide toolbars. If people want to keep their toolbars on, even by default, fair enough. But why would one remove the possibility completely?

Maybe it's just me presenting it in a negative way, but I'm yet to find someone who finds the new full screen mode better than the old one (apart from OS integration).
Comment 35 Anthony Ricaud (:rik) 2012-08-27 05:32:33 PDT
Tom: I think your use-case would still be possible with two options in the view menu. You'll just use presentation mode all the time.

What I tried to (poorly) say in comment 31 is that it's not only a matter of a user preference. It's also a matter of context. I don't prefer "tabs visible" or "tabs hidden", I prefer the mode that makes more sense depending on the context. When doing presentations or running WebGL demos, I'll certainly use the "presentation mode". But then when I'm at my desk, maybe I prefer tabs to be visible or not.
Comment 36 Andre Bach 2012-08-29 17:02:34 PDT
With the "fixing" of bug 639705 in 15.0, we're now back at a stage when a full-on presentation mode is impossible in the main release of Firefox. Any chance of fixing that.

Now that the keystroke has been standardized to the usual OS X cmd-control-F, I think the best way to handle presentation mode is to mimic Preview.app. It has Enter Full Screen at cmd-control-F and Slideshow at cmd-shift-F. We can add Presentation Mode at cmt-shift-F by analogy.
Comment 37 dirk husemann 2012-10-07 10:33:10 PDT
the absence of a presentation mode render firefox useless for HTML(5) based presentations and also slideshows. :-(
Comment 38 Richard A Milewski[:richard] 2012-10-08 14:36:41 PDT

(In reply to Anthony Ricaud (:rik) from comment #13)

> Mountain Lion will solve this by allowing one fullscreen apps per screen.

...doesn't seem to.  A Firefox CMD-SHIFT-F  on one monitor replaces the wallpaper on the second monitor with the linen pattern.
Comment 39 Francois Guerraz 2012-11-21 10:23:12 PST
Hello,

Could we please have an update on Mozilla's *intentions* on the matter?

It's really irritating that we've lost a functionality and that it's taking months to make a decision about how to re-implement it. Whichever way you do it, I don't care any more, please just do it...

Cheers,
Comment 40 squimmy.squimmy 2012-12-03 14:31:06 PST
Firefox is so poor on OS X. I prefer Gecko and I like FF but it's bugs like this that make it hard to use on OS X.

I can't believe that anybody desires the functionality how it is now. In full screen mode the tabs (at least) should auto hide. It's the only functionality that makes sense.
Comment 41 jonathan chetwynd 2012-12-21 01:46:41 PST
recent Opera, Safari and Chrome all provide fullscreen aka presentation mode in Mountain Lion, with no UI toolbars showing.

What is the holdup on fixing this regression bug?
Comment 42 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-27 08:18:41 PST
Does anyone know of an add-on that can solve it while this bug is still open? Having to run full-screen presentations in Chrome when talking on Firefox/Mozilla topics is pretty hilarious.
Comment 43 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-27 08:21:43 PST
Ah! I finally found it after many searches https://addons.mozilla.org/en-us/firefox/addon/old-lion-fullscreen/
Comment 44 dirk husemann 2013-01-27 10:38:21 PST
tried that, doesn't work for me on ML and latest FF :-(
Comment 45 tom.etheridge 2013-03-28 07:14:12 PDT
First of all, the name of this bug should not be "Allow hiding toolbars for presentations." It should be "Restore fullscreen mode," which was the original intention. Fullscreen mode is useful in far more situations than merely presentations. For example, reading on-line magazines, maximizing the size of on-line artwork, and watching HD videos. Words mean things, and implying that this problem only affects presentations diminishes its importance.

I just installed Firefox 19.0.2 (the latest version) and the problem is still there. That is inexcusable. This problem was completely fixed in Nightly 17.0a1 (2012-07-18), which I am still using, and will continue to use until the obstinate developers at Mozilla get off their stubborn butts and fix it in Firefox. They obviously know how, they just won't.
Comment 46 Thomas Stache 2013-03-30 03:24:33 PDT
Here's a working add-on that reverts to the old custom-built fullscreen mode:
https://addons.mozilla.org/en-US/firefox/addon/nofs/
Looking under the covers it's astonishingly simple...
Comment 47 guirong.cao 2013-05-14 05:53:00 PDT
when fix it ???
Comment 48 kAton 2013-05-29 00:25:06 PDT
The addons: https://addons.mozilla.org/en-US/firefox/addon/nofs/ 
and https://addons.mozilla.org/en-us/firefox/addon/old-lion-fullscreen/
provide a full screen, but can be considered a PARTIAL FIX. Because using these we cannot access the menu bar while in full screen.

Anyway, is better than without them.
NOFS addon don't show the navigation bar when hoovering the mouse on top, so I recommend using Old Lion FS addon.
Comment 49 Florian Bender 2013-09-06 11:43:09 PDT
The original intent can be fixed by using the DOM Fullscreen API. 

Now, I do think that having the option to (A) autohide the browser chrome in (browser, not DOM API) fullscreen mode is something many people (myself included) might like (when moving the mouse to the top, the chrome should slide in like, and with the menu bar). There's also the "mobile" solution (B) which slides out the chrome while scrolling down (and sliding back in when scrolling up, not necessarily only when scrolling all the way to the top), so that's another option to solve this problem. 

As I understand, solution (A) is what this bug is about. Or how about investigating solution (B)? Either way, can somebody please clarify the title, then?
Comment 50 ag6i49cvza34415 2013-10-29 01:57:32 PDT
This problem has not been fixed for almost two years now, why is it still not possible to have a working full-screen mode with Firefox v24? I can see where the problem is, however one would expect that the Mozilla developers can come up with a solution within two years - yes, the OSX full-screen mode intends to only hide the system UI elements like menu bar and notifications, nevertheless Mozilla can still change the way Firefox behaves in that mode. Seeing how this ridiculous bug has not been fixed yet I do believe that this won't change in the future. Well done.
Comment 51 Jon LaRiviere 2013-10-30 17:47:28 PDT
I have to use Chrome and Firefox simultaneously for web app compatibility reasons and I feel as though my Firefox user experience is lessened by the amount of screen I can use. Seems like an easy fix and weird that it has gone unfixed for so long.
Comment 52 humanamerican 2013-11-20 06:30:37 PST
I thought maybe they were saving this fix for Australis, but I just tried the nightly and fullscreen still doesn't hide the bars.  Very disappointing...
Comment 53 Casey Yee 2014-01-04 23:33:32 PST
Running Nightly 29.0a1 (2014-01-03) on 10.9 Maverick and experiencing the same issue.  Would love to see a fix for this as well.
Comment 54 Atlanx 2014-01-07 14:14:48 PST
Confirm.

Still not working with Firefox 26.0 under MacOS X 10.9.1 Mavericks.

There is no option in Firefox to get a real Firefox-Fullscreen (no bars or Menue) any more since Apple introduced "Fullscreen-Function"?
Comment 55 Phil DeJarnett 2014-01-07 14:25:52 PST
If anyone is interested, I wrote a very simple fix using Stylish. This hides specific toolbars (in my case, the Personal Toolbar, the Web Developer Toolbar and Googlebar Lite), but re-shows them if you mouse over the toolbar area. It also removes the ~11px of padding at the top that exists for no reason that I can see.

It's easy to add other toolbars, but you need to use the DOM Inspector to inspect the chrome and find their IDs.


@namespace url(http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul);

#main-window[inFullscreen=true] {
    padding-top: 0px !important;
}

#navigator-toolbox[inFullscreen=true]:not(:hover) #PersonalToolbar,
#navigator-toolbox[inFullscreen=true]:not(:hover) #GBL-Toolbar,
#navigator-toolbox[inFullscreen=true]:not(:hover) #web-developer-toolbar,
#navigator-toolbox[inFullscreen=true]:not(:hover) .web-developer-toolbar {
    visibility: collapse;
}
Comment 56 Kumar McMillan [:kumar] (needinfo all the things) 2014-01-07 14:38:28 PST
This add-on has been working great for me to get fullscreen back: https://addons.mozilla.org/en-US/firefox/addon/old-lion-fullscreen/?src=userprofile

(it was buried up above in this thread but lost in the sands of time by now)
Comment 57 Atlanx 2014-01-08 02:07:09 PST
I still using the old-lion-fullscreen addon but it has some bugs.

If i move the mouse up to the top of the screen it often doesn't show the menu or bars.
Comment 58 mozilla 2014-04-07 21:45:38 PDT Comment hidden (obsolete)
Comment 59 alexandrebarker 2014-04-27 12:41:39 PDT
Confirming this -- using Mavericks 10.9.2 and Firefox 28. When one goes into full-screen mode, the tabs and navigation bar are still visible. 

(NB: browser.fullscreen.autohide is set to true. Also, I use the firefox menu rather than the OS X control to go into full-screen, if that makes a difference.)

(I see there's an add-on to get round this but it seems better not to need an add-on, especially if the latter is buggy.)
Comment 60 Markus Stange [:mstange] [away until June 27] 2014-05-13 13:07:01 PDT
*** Bug 1009618 has been marked as a duplicate of this bug. ***
Comment 61 :Gijs Kruitbosch 2014-10-09 08:35:35 PDT
*** Bug 1079988 has been marked as a duplicate of this bug. ***
Comment 62 Francisco Lopes 2015-04-12 22:30:12 PDT
Will this ever be fixed? Chrome is able to provide a presentation mode in OS X native fullscreen that works, for a long time already.
Comment 63 Francisco Lopes 2015-04-12 22:35:49 PDT
It has been years of this regression. Why no mozilla developer cares to fix such useful feature?
Comment 64 Francisco Lopes 2015-04-12 22:38:13 PDT
I've been just sitting here using old-lion-fullscreen for Firefox, which requires its own desktop to work, for years, hoping this would get fixed. It wasn't.
Comment 65 Sergio Oliveira Campos 2015-04-13 06:07:24 PDT
I'm currently using Chrome to public talks about Mozilla. That's kind of contradictory but that's what we have. I agree with Francisco. This bug deserves better attention.
Comment 66 Francisco Lopes 2015-04-16 09:21:21 PDT
(In reply to Sergio Oliveira Campos from comment #65)
> I'm currently using Chrome to public talks about Mozilla. That's kind of
> contradictory but that's what we have. I agree with Francisco. This bug
> deserves better attention.

Hi Sergio, please keep doing that, if people get to ask why you're doing that, it's one more way to explain and complain about it =)
Comment 67 Dan Rivett 2015-05-03 14:27:28 PDT
Like the other posters have commented, it is crazy that this is still a bug, and drives me insane when I use fullscreen mode. Again the fact that there is even a setting - browser.fullscreen.autohide - but it is just ignored seems nuts.

I don't have enough FF internal knowledge to understand why it simply can't just be set to default to false on Mac OS X, and then allow the user to change the value when desired?

Why would that be a problem?
Comment 68 Per Olofsson 2015-06-03 00:44:42 PDT
I'm using the following userChrome.css to work around this bug:

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

#main-window[inFullscreen="true"] #nav-bar,
#main-window[inFullscreen="true"] #TabsToolbar {
    display: none !important
}

It could use some more work, e.g. there's no popup for CMD-L, but it's enough for me.
Comment 69 Chris Fox 2015-07-12 02:42:25 PDT
(In reply to kAton from comment #48)
> The addons: https://addons.mozilla.org/en-US/firefox/addon/nofs/ 
> and https://addons.mozilla.org/en-us/firefox/addon/old-lion-fullscreen/
> provide a full screen, but can be considered a PARTIAL FIX. Because using
> these we cannot access the menu bar while in full screen.

Recently bought a new laptop, so I moved from 10.4 to 10.10.4, and now I'm being effected by this bug, too (was using TenFourFox on the old laptop).

Have you tried this extension?
https://addons.mozilla.org/en-US/firefox/addon/fullscreen-toolbar-hover/

Seems to be working for me. Removes the toolbars that Firefox's fullsceen mode is not, and I can still access the menubar if I mouse to the top, along with the address bar, tab bar, and bookmarks bar.
Comment 70 Tim A. Miller 2015-09-24 14:09:46 PDT
For those landing on this bug who are looking for a workaround that will hide everything in full-screen mode on Mac OS X, including the address and tab bars, here is an extension I have found to work reasonably well. https://addons.mozilla.org/en-US/firefox/addon/old-lion-fullscreen/

The extension mentioned in comment #69 is no longer available.

Note You need to log in before you can comment on or make changes to this bug.